| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::cache_policy Namespace Reference

Contains a set of predefined cache policies for use when constructing a dpp::cluster. More...

## Variables

constexpr cache_policy_t | cpol_balanced = { cp_lazy, cp_lazy, cp_lazy, cp_aggressive, cp_aggressive }
| A shortcut constant for a more balanced caching policy for use in dpp::cluster constructor.
constexpr cache_policy_t | cpol_default = { cp_aggressive, cp_aggressive, cp_aggressive, cp_aggressive, cp_aggressive }
| A shortcut constant for all caching enabled for use in dpp::cluster constructor.
constexpr cache_policy_t | cpol_none = { cp_none, cp_none, cp_none, cp_none, cp_none }
| A shortcut constant for all caching disabled for use in dpp::cluster constructor.

## Detailed Description

Contains a set of predefined cache policies for use when constructing a dpp::cluster.

## Variable Documentation

## ◆ cpol_balanced

cache_policy_t dpp::cache_policy::cpol_balanced = { cp_lazy, cp_lazy, cp_lazy, cp_aggressive, cp_aggressive }

inline constexpr

A shortcut constant for a more balanced caching policy for use in dpp::cluster constructor.

## ◆ cpol_default

cache_policy_t dpp::cache_policy::cpol_default = { cp_aggressive, cp_aggressive, cp_aggressive, cp_aggressive, cp_aggressive }

inline constexpr

A shortcut constant for all caching enabled for use in dpp::cluster constructor.

## ◆ cpol_none

cache_policy_t dpp::cache_policy::cpol_none = { cp_none, cp_none, cp_none, cp_none, cp_none }

inline constexpr

A shortcut constant for all caching disabled for use in dpp::cluster constructor.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0